#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  libbytesize-2.12

- Next

  libcloudproviders-0.3.6

- Up
- Home

# libclc-22.1.0

## Introduction to libclc

The libclc package contains an implementation of the library requirements of the OpenCL C programming language, as specified by the OpenCL 1.1 Specification.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/llvm/llvm-project/releases/download/llvmorg-22.1.0/llvm-project-22.1.0.src.tar.xz

- Download MD5 sum: eebd30f81349347d789f04b5ddd41112

- Download size: 160 MB

- Estimated disk space required: 431 MB

- Estimated build time: 0.6 SBU (with parallelism=8)

### libclc Dependencies

#### Required

SPIRV-LLVM-Translator-22.1.2

## Installation of libclc

Install libclc by running the following commands:

    mkdir libclc/build &&
    cd    libclc/build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr \
          -D CMAKE_BUILD_TYPE=Release  \
          -G Ninja ..                  &&
    ninja

To test the results, issue: ninja test.

Now, as the `root` user:

    ninja install

## Contents

Installed Programs: None
Installed Libraries: None
Installed Directories: /usr/include/clc and /usr/share/clc

- Prev

  libbytesize-2.12

- Next

  libcloudproviders-0.3.6

- Up
- Home